Skip to main content
GET
/
api
/
public
/
v2
/
tool-registry
/
{identifier}
/
env-vars
List Tool Env Vars
curl --request GET \
  --url https://api.promptlayer.com/api/public/v2/tool-registry/{identifier}/env-vars \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "tool_env_vars": [
    {
      "id": 123,
      "key": "<string>",
      "value_suffix": "<string>",
      "is_empty": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "workspace_id": 123,
      "tool_registry_id": 123
    }
  ]
}
List all environment variables scoped to a specific tool. Tool-level variables override workspace-level variables with the same key at execution time.

Authorizations

X-API-KEY
string
header
required

Path Parameters

identifier
string
required

Tool ID (numeric) or name

Response

Successful Response

success
boolean
tool_env_vars
object[]